Subject: Re: What's cooking in git.git (Jul 2013, #07; Sun, 21)

From: Thomas Rast <[email-masked]>
Date: Mon, 22 Jul 2013 12:39:44 +0200

Junio C Hamano <[email-masked]> writes:

> * tr/merge-recursive-index-only (2013-07-07) 3 commits
>  - merge-recursive: -Xindex-only to leave worktree unchanged
>  - merge-recursive: untangle double meaning of o->call_depth
>  - merge-recursive: remove dead conditional in update_stages()
>
>  What's the status of this one?
>
>  I am not particularly fond of the second patch that conceptually
>  allows updating working tree during a virtual merge (i.e. addition
>  of o->no_worktree is fine, but there needs a way to make sure it is
>  never set to false when o->depth is not zero).

Blocking on round tuits.  In any case don't merge anything until we see
that it solves git-imerge's problems, so that it has a user ;-)  The next
version will implement a "stateless" mode too, like Michael asked for
(not writing MERGE_HEAD, etc.).

-- 
Thomas Rast
trast@{inf,student}.ethz.ch